Subject: bug#62370: 28.1; sieve-mode: faces should inherit from font-lock-X-face faces

From: "Trent W. Buck" <[email-masked]>
Date: Thu, 23 Mar 2023 18:03:47 +1100

On Thu 23 Mar 2023 08:58:09 +0200, Eli Zaretskii wrote:
> > Date: Thu, 23 Mar 2023 12:05:24 +1100
> > From: "Trent W. Buck" <[email-masked]>
> > Cc: Gregory Heytings <[email-masked]>, Eli Zaretskii <[email-masked]>,
> >     [email-masked]
> >
> > I don't think "I opened foo.sieve in Emacs 20 twenty years ago, and
> > now I opened foo.sieve in Emacs 30 today, and the colors aren't identical, and now I'm mad"
> > is a good argument for never changing the defaults.
>
> From my POV, it _is_ a good argument.  Especially when the defaults
> change in a feature that is easily customizable, and so basically you
> are asking to impose your preferences, which are easily catered to by
> your local customizations, on everyone else.
>
> > Emacs changes the defaults like that ALL THE TIME.
>
> That's not true.  We do that rarely and sparingly, precisely for the
> reasons you consider unimportant.
>
> > If they piss me off, I just patch back in the old behaviour and forget about it.
>
> You can do the same with the current defaults, so why are you asking
> us to change them?

I thought I was asking "make sieve-mode faces follow best current practice" (i.e. inherit from font-lock where appropriate), not
"change sieve-mode faces from Tim's arbitrary preference to Trent's arbitrary preference".

But I am not really interested in arguing this further, so let's just WONTFIX this ticket.